<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: 構造体 MInputGUIArgIC</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li class="current"><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="classes.html"><span>データ構造索引</span></a></li>
      <li><a href="functions.html"><span>データフィールド</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>構造体 MInputGUIArgIC<br/>
<small>
[<a class="el" href="group__m17nInputMethodWin.html">入力メソッド (GUI)</a>]</small>
</h1><!-- doxytag: class="MInputGUIArgIC" -->
<p>関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> の引数の型宣言.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>変数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputGUIArgIC.html#ab6896b151a4ab6db3070f35eb28d8c68">frame</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputGUIArgIC.html#a8005530d7b344cd223f5172e2a94cd96">client</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputGUIArgIC.html#a13e3388f33a44266b0a3a4ca8aee76d7">focus</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> の引数の型宣言. </p>
<p><a class="el" href="structMInputGUIArgIC.html" title="関数 minput_create_ic() の引数の型宣言.">MInputGUIArgIC</a> は、関数 <a class="el" href="group__m17nInputMethod.html#ga8b32df84c645f73ed65e20a1d51c1859" title="入力コンテクストを生成する.">minput_create_ic()</a> が内部入力メソッドの入力コンテクストを生成する際の、引数 <b>arg</b> 用の型である。 </p>
<hr/><h2>構造体</h2>
<a class="anchor" id="ab6896b151a4ab6db3070f35eb28d8c68"></a><!-- doxytag: member="MInputGUIArgIC::frame" ref="ab6896b151a4ab6db3070f35eb28d8c68" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a>* <a class="el" href="structMInputGUIArgIC.html#ab6896b151a4ab6db3070f35eb28d8c68">MInputGUIArgIC::frame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>クライアントのフレーム </p>

</div>
</div>
<a class="anchor" id="a8005530d7b344cd223f5172e2a94cd96"></a><!-- doxytag: member="MInputGUIArgIC::client" ref="a8005530d7b344cd223f5172e2a94cd96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> <a class="el" href="structMInputGUIArgIC.html#a8005530d7b344cd223f5172e2a94cd96">MInputGUIArgIC::client</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>preedit テキストと status テキストを表示するウィンドウ </p>

</div>
</div>
<a class="anchor" id="a13e3388f33a44266b0a3a4ca8aee76d7"></a><!-- doxytag: member="MInputGUIArgIC::focus" ref="a13e3388f33a44266b0a3a4ca8aee76d7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nDraw.html#ga7cf712e335916cc72a77aca96cf327fb">MDrawWindow</a> <a class="el" href="structMInputGUIArgIC.html#a13e3388f33a44266b0a3a4ca8aee76d7">MInputGUIArgIC::focus</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>入力コンテクストがフォーカスをおいているウィンドウ </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
